contrib/diffall: fix cleanup trap on Windows

Prior to this commit, the cleanup trap that removes the tmp dir
created by the script would fail on Windows. The error was silently
ignored by the script.

On Windows, a directory cannot be removed while it is the working
directory of the process (thanks to Johannes Sixt on the Git list
for this info [1]).

This commit eliminates the 'cd' into the tmp directory that caused
the error.

[1]: http://article.gmane.org/gmane.comp.version-control.git/193086

Signed-off-by: Tim Henigan <tim.henigan@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
This commit is contained in:
Tim Henigan 2012-03-14 12:38:06 -04:00 committed by Junio C Hamano
parent 97549084f6
commit bfe392e367

View file

@ -49,7 +49,7 @@ cd "$cdup" || {
tmp=$(perl -e 'use File::Temp qw(tempdir);
$t=tempdir("/tmp/git-diffall.XXXXX") or exit(1);
print $t') || exit 1
trap 'rm -rf "$tmp" 2>/dev/null' EXIT
trap 'rm -rf "$tmp"' EXIT
left=
right=
@ -233,9 +233,8 @@ do
fi
done < "$tmp/filelist"
cd "$tmp"
LOCAL="$left_dir"
REMOTE="$right_dir"
LOCAL="$tmp/$left_dir"
REMOTE="$tmp/$right_dir"
if test -n "$diff_tool"
then